{ pkgs, ... }:

{
  imports = [
    ./defaults.nix
    ./gammastep.nix
    ./kdeconnect.nix
    ./ssh.nix
    ./zsh.nix
    ./taskwarrior.nix
    ./kakoune.nix
    ./clifm.nix
    ./git.nix
    ./sway.nix
    ./waybar.nix
    ./firefox.nix
    ./thunderbird.nix
    ./imv.nix
  ];

  home.username = "alice";
  home.homeDirectory = "/home/alice";

  # Configure cursor
  home.pointerCursor = {
    package = pkgs.vanilla-dmz;
    name = "Vanilla-DMZ";
  };

  # Configure icon theme
  gtk = {
    enable = true;
    iconTheme = {
      name = "Papirus";
      package = pkgs.papirus-icon-theme;
    };
  };

  home.packages = with pkgs;
  [ marksman nil ] ++ # Language servers for built in languages
  [ texliveFull texlab ] ++ # LaTeX - remove this eventually and put it in dev
    # envs
  [ xdg-terminal-exec glib upower ] ++
  [];
}
